<?php
	include_once(__DIR__."/../../core.php");
		
	switch( $_POST['op'] ){
		
		case "update":
			$nomefile = $_POST['nomefile'];
			//$nomecomponente = $_POST['nomecomponente'];
			$contenuto = ($_POST['contenuto']);
			$path = $docroot."/files/my_impianti/";
			$path .= $nomefile;
			file_put_contents($path, $contenuto);
			
			array_push( $_SESSION['infos'], "Informazioni salvate correttamente!" );
			
			redirect( $rootdir."/editor.php?id_module=".$id_module."&id_record=".$id_record, "js" );	
					
		break;
		
		
		case "add":
			
			$nomefile = str_replace( ".ini", "", $html->form('nomefile', 'post') ).".ini";
			$path = $docroot."/files/my_impianti/";
			$path .= $nomefile;
			$contenuto = ($_POST['contenuto']);
			
			$cmp = get_componenti( $docroot."/files/my_impianti/" );
			
			$duplicato = false;
			for( $c=0; $c<sizeof($cmp); $c++ ){
				if ($nomefile ==  $cmp[$c][0])
					$duplicato = true;
			}
			
			if ($duplicato==false){
				$componente = fopen("".$path."", "w") or die("Non sono riusciuto a creare il file!");
				fwrite($componente, $contenuto);
				fclose($componente);
			}else{
				array_push( $_SESSION['errors'], "Il file componente ".$nomefile." eiste già, nessun nuovo componente è stato creato!" );
			}
			
			//array_push( $_SESSION['infos'], "Componente ".$nomefile." aggiunto correttamente!" );
			//redirect( $rootdir."/editor.php?id_module=".$id_module."&id_record=".$id_record, "js" );
			
		break;
		
		
		
		case "delete":
			
			$nomefile = $_POST['nomefile'];
			$path = $docroot."/files/my_impianti/";
			$path .= $nomefile;
			
			if ($nomefile!="")
				@unlink($path);
			
			array_push( $_SESSION['infos'], "File ".$nomefile." rimosso correttamente!" );
			
			redirect( $rootdir."/controller.php?id_module=".$id_module, "js" );	
			
		break;
		
	}
		

?>
